%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-glance
Version:        11.3.0
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Glance
License:        ASL 2.0

URL:            https://launchpad.net/puppet-glance

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=4bda42032ce7e68e3bb8617136703718ed991108
Patch0001: 0001-Update-UPPER_CONSTRAINTS_FILE-for-stable-pike.patch
Patch0002: 0002-Update-Gemfile-to-pull-spec_helper-from-stable-pike.patch
Patch0003: 0003-pike-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0004: 0004-Add-image_member_quota-to-Glance-API-configuration.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Glance

%prep
%setup -q -n openstack-glance-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/glance/



%files
%{_datadir}/openstack-puppet/modules/glance/


%changelog
* Mon Nov 20 2017 Thierry Vignaud <tvignaud@redhat.com> 11.3.0-3
- Update patches

* Mon Nov 20 2017 Thierry Vignaud <tvignaud@redhat.com> 11.3.0-2
- Add image_member_quota to Glance API configuration
- [pike] Add Puppet package to bindep, for module build
- Update Gemfile to pull spec_helper from stable/pike
- Update UPPER_CONSTRAINTS_FILE for stable/pike
- Update .gitreview for stable/pike

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 11.3.0-1
- Update to 11.3.0



